/* carousel */
main .carousel {
    margin-bottom: 30px;
}

main .carousel .swiper-slide img {
    width: 100%;
}

main .carousel .swiper-button-prev, .swiper-button-next {
    width: 55px;
    height: 55px;
    border-radius: 55px;
    background-color: rgb(0, 0, 0, 0.15);
    color: rgb(var(--theme_rgb));
    outline: none;
    text-align: center;
    line-height: 40px;
    opacity: 0.8;
}
main .carousel .swiper-button-prev::after, .swiper-button-next::after {
    font-size: 30px;
    font-weight: bold;
}
main .carousel .swiper-button-prev {
    left: 15px;
}
main .carousel .swiper-button-next {
    right: 15px;
}
main .carousel .swiper-button-disabled {
    color: rgba(255, 255, 255, 0.5);
}

/* card */
main .card {
    margin-bottom: 30px;
}

main .card .body .list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    align-items: center;

    padding: 0;
    width: 100%;
}

main .card .body .list li {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;

    width: 33.33%;
    padding: 10px;
    box-sizing: border-box;
    color: rgb(var(--regulartxt_rgb));
}

main .card .body .list li:nth-of-type(n+1) {
    background-color: rgba(var(--theme_rgb), 0.055);
}
main .card .body .list li:nth-of-type(n+4) {
    background-color: transparent;
}
main .card .body .list li:nth-of-type(n+7) {
    background-color: rgba(var(--theme_rgb), 0.055);
}

main .card .body .list li .cover {
    display: flex;
    justify-content: center;
    align-items: center;

    width: 50px;
    height: 50px;
    margin-right: 10px;

    overflow: hidden;
}

main .card .body .list li .cover img {
    height: 100%;
}

main .card .body .list li .info {
    flex: 1;
}

main .card .body .list li .info a, main .card .body .list li .info a:visited {
    color: rgb(var(--regulartxt_rgb));
}

main .card .body .list li .info .title {
    flex-shrink: 0;

    width: 180px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;

    font-size: 16px;
    font-weight: normal;
}

main .card .body .list li .info .author {
    color: rgb(var(--secondarytxt_rgb));
    font-size: 14px;
}

main .card .body .list li .time {
    padding: 10px;
    color: rgb(var(--secondarytxt_rgb));
    font-size: 14px;
}

/* 电台主播 */
main .card.dtzb .body {
    padding: 0;
    background-color: transparent;
}

main .card.dtzb .body .swiper-container {
    width: 100%;
}

main .card.dtzb .body .swiper-slide {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: stretch;

    width: calc(20% - 20px);
    height: 330px;
    padding: 15px;
    border-radius: 20px;
    background-color: white;
    box-sizing: border-box;

    overflow: hidden;
}

main .card.dtzb .body .swiper-slide .cover {
    flex-shrink: 0;

    display: flex;
    justify-content: center;
    align-items: center;

    width: 100%;
    height: 150px;
    border-radius: 15px;
    overflow: hidden;
}

main .card.dtzb .body .swiper-slide .cover img {
    width: 100%;
}

main .card.dtzb .body .swiper-slide .name {
    margin-top: 10px;
    text-align: center;
    color: rgb(var(--theme_rgb));
    font-weight: bold;
    font-size: 16.5px;
    letter-spacing: 1.2px;
}

main .card.dtzb .body .swiper-slide .intro {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    overflow: hidden;

    margin-top: 10px;

    font-size: 14.5px;
    color: rgb(var(--secondarytxt_rgb));
}